Skip to main content
POST
/
v1
/
environments
/
{environmentId}
/
deploy
Deploy an environment
curl --request POST \
  --url https://api.alpic.ai/v1/environments/{environmentId}/deploy \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "token": "<string>"
}
'
{
  "id": "<string>",
  "status": "ongoing",
  "sourceRef": "<string>",
  "sourceCommitId": "<string>",
  "sourceCommitMessage": "<string>",
  "authorUsername": "<string>",
  "authorAvatarUrl": "<string>",
  "startedAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z",
  "deploymentPageUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.

Path Parameters

environmentId
string
required

The ID of the environment to deploy

Body

application/json
token
string

The token to identify the source archive

Response

The environment has been deployed successfully

id
string
required
status
enum<string>
required
Available options:
ongoing,
deployed,
failed,
canceled
sourceRef
string | null
required
sourceCommitId
string | null
required
sourceCommitMessage
string | null
required
authorUsername
string | null
required
authorAvatarUrl
string | null
required
startedAt
string<date-time> | null
required
completedAt
string<date-time> | null
required
deploymentPageUrl
string<uri> | null
required